> For the complete documentation index, see [llms.txt](https://docs.topay.mobi/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.topay.mobi/cn/reference/api-reference/fiat-payments/payin/country-examples/peru/qrcode.md).

# 二维码

{% hint style="warning" %}
每个请求都必须包含[公共参数](/cn/reference/api-reference/common-parameters.md)。
{% endhint %}

使用互通二维码（Yape/Plin）收款。付款人在返回的收银台页面中扫码完成支付。

## 示例 <a href="#example" id="example"></a>

```
// request
curl --location --request POST 'https://api.topay.mobi/v1/order/pay' \
--header 'Content-Type: application/json' \
--data-raw '{
    "request_id": "custom_code9982674851738108",
    "pay_currency": "PEN",
    "currency": "PEN",
    "amount": "100",
    "payment_method": "direct",
    "payment_type": "qrcode",
    "payment_channel": "pe_qr",      // 见支持的支付类型 code
    "product_name": "product info",
    "customer_ref_id": "abcd1234",
    "customer": {
        "name": "JUAN PEREZ GARCIA",
        "phone": "987654321",
        "email": "customer@example.com",
        "document_id": "41234567",
        "document_type": "DNI"       // 秘鲁：DNI、RUC、CE、PASSPORT、MILITARY、PAR、OTHER；未传时自动生成
    },
    "notify_url": "https://notify.url",
    "remark": "payin test remark"
}'
```

```
// response

{"code":"200",
 "data":{
   "request_id":"custom_code9982674851738108",
   "partner_id":"2000051",
   "order_no":"2023013120000600262092321146",
   "currency":"PEN",
   "order_amount":"100",
   "status":11,
   "payment_method":"direct",
   "checkout_url":"https://checkout.example.com/vfsjdkfdst"
 },
 "message":"success"
 }
```

示例主要展示业务字段。
